Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.view.domain
Class FilterCriteria

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.view.domain.FilterElementCollection
          com.jaspersoft.jasperserver.api.metadata.view.domain.FilterCriteria

    public class FilterCriteria

extends FilterElementCollection

Version:
  $Id: FilterCriteria.java 8408 2007-05-29 23:29:12Z melih $
Author:
  swood

Constructor Summary
`FilterCriteria()`
`FilterCriteria(java.lang.Class _class)`

Method Summary
`static FilterCriteria` | `createFilter()`
`static FilterCriteria` | `createFilter(java.lang.Class _class)`
`static ParentFolderFilter` | `createParentFolderFilter(java.lang.String folderURI)`
`static PropertyFilter` | `createPropertyBetweenFilter(java.lang.String propery, java.lang.Object loValue, java.lang.Object hiValue)`
`static PropertyFilter` | `createPropertyEqualsFilter(java.lang.String property, java.lang.Object value)`
`protected static PropertyFilter` | `createPropertyFilter(java.lang.String property, java.lang.Object value, byte op)`
`protected static PropertyFilter` | `createPropertyFilter(java.lang.String property, java.lang.Object loValue, java.lang.Object hiValue, byte op)`
`static PropertyFilter` | `createPropertyGreaterThanFilter(java.lang.String propery, java.lang.Object value)`
`static PropertyFilter` | `createPropertyLessThanFilter(java.lang.String propery, java.lang.Object value)`
`static PropertyFilter` | `createPropertyLikeFilter(java.lang.String propery, java.lang.Object value)`
`static ReferenceFilter` | `createReferenceFilter(java.lang.String property, java.lang.Class referenceType, java.lang.String referredURI)`
`static URIFilter` | `createResourceURIFilter(java.lang.String uri)`
`java.lang.Class` | `getFilterClass()`
`void` | `setFilterClass(java.lang.Class _class)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.view.domain.FilterElementCollection
`addConjunction, addDisjunction, addFilterElement, addNegatedFilterElement, addOr, getFilterElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterCriteria

    public FilterCriteria()

### FilterCriteria

    public FilterCriteria(java.lang.Class _class)

Method Detail

### createParentFolderFilter

    public static ParentFolderFilter createParentFolderFilter(java.lang.String folderURI)

### createPropertyEqualsFilter

    public static PropertyFilter createPropertyEqualsFilter(java.lang.String property,
                                                            java.lang.Object value)

### createPropertyLikeFilter

    public static PropertyFilter createPropertyLikeFilter(java.lang.String propery,
                                                          java.lang.Object value)

### createPropertyGreaterThanFilter

    public static PropertyFilter createPropertyGreaterThanFilter(java.lang.String propery,
                                                                 java.lang.Object value)

### createPropertyLessThanFilter

    public static PropertyFilter createPropertyLessThanFilter(java.lang.String propery,
                                                              java.lang.Object value)

### createPropertyBetweenFilter

    public static PropertyFilter createPropertyBetweenFilter(java.lang.String propery,
                                                             java.lang.Object loValue,
                                                             java.lang.Object hiValue)

### createPropertyFilter

    protected static PropertyFilter createPropertyFilter(java.lang.String property,
                                                         java.lang.Object value,
                                                         byte op)

### createPropertyFilter

    protected static PropertyFilter createPropertyFilter(java.lang.String property,
                                                         java.lang.Object loValue,
                                                         java.lang.Object hiValue,
                                                         byte op)

### createReferenceFilter

    public static ReferenceFilter createReferenceFilter(java.lang.String property,
                                                        java.lang.Class referenceType,
                                                        java.lang.String referredURI)

### createResourceURIFilter

    public static URIFilter createResourceURIFilter(java.lang.String uri)

### createFilter

    public static FilterCriteria createFilter()

### createFilter

    public static FilterCriteria createFilter(java.lang.Class _class)

### getFilterClass

    public java.lang.Class getFilterClass()

### setFilterClass

    public void setFilterClass(java.lang.Class _class)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.